HELM(1)

NAME

helm-test - test a release

SYNOPSIS

helm test [RELEASE]

DESCRIPTION

The test command runs the tests for a release.

The argument this command takes is the name of a deployed release. The tests to be run are defined in the chart that was installed.

OPTIONS

--cleanup[=false]
    delete test pods upon completion

--timeout=300
    time in seconds to wait for any individual kubernetes operation (like Jobs for hooks)

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra